Subject: Re: linux-next: manual merge of the arm-soc tree with the omap_dss2 tree

From: Tomi Valkeinen <[email-masked]>
Date: Fri, 09 Mar 2012 14:31:41 +0200

On Fri, 2012-03-09 at 12:26 +0000, Arnd Bergmann wrote:
> On Friday 09 March 2012, Tomi Valkeinen wrote:

> > Merging omapdss tree through arm-soc would make sense for avoiding
> > conflicts, because almost every merge window there are some conflicts as
> > I often need to edit arch/arm files also. But I'm not sure if we have
> > ever had a conflict in drivers/video.
> > 
> > But still, it's a video driver, and fbdev tree sounds more suited for a
> > video driver.
> > 
> > So I don't know =). Basically it's ok for me either way also. But it
> > would be nice to have a standard way of doing this, instead of, for
> > example, merging omapdss sometimes through fbdev, sometimes through
> > arm-soc, depending on the conflicts...
> 
> Actually, I did not suggest omapdss through arm-soc, the idea was that
> that the same branch gets merged into both the fbdev and the arm-soc
> trees and let the fbdev tree go to Linus first.

Ah, right, now I see. This sounds ok to me. I'll cc you when I send the
pull request to Florian (presuming the arrangement is fine for him).

 Tomi